Subject: DLL version of libf2c, libreadline, and graphics available.
From: [email-masked] (R.W.W. Hooft)
Date: Mon, 22 Feb 1993 17:07:42 GMT
Newsgroups: comp.os.linux.announce

I have uploaded new versions of my jumptable libs to sunsite.unc.edu,
in the directory /pub/Linux/Incoming/DLL-libs. 

The announcement (README) from that directory is attached.

Many packages of binaries are supplied that are supposed to supercede
those in the 'jumptables' directory.

I think Erik Troan will move all of this to another location when he
thinks of an appropriate place.

=====================================================================

These are the new DLL jumptable libraries for Fortran (libf2c), for 
readline (libreadline), and for graphics (libfbm, libpbm, libpgm,
libppm, libpnm, libtiff, libjpeg, librle).

All libraries need the new DLL libc-4.3 or newer to run, the binaries 
using X depend on the DLL Xlib 3.0 or newer.

The fortran library is compatible with the older 0.4 version, hence
its version number 0.5. Due to limitations that I don't understand,
the DLL readline library could not be made compatible with version
0.2, so I had to bump the version number to 1.0. I have not tried to
provide compatibility for the graphics lib as it needed a cleanup
anyway: its version number has also been increased to 1.0. Note that
the '1' in '1.0' does not mean that all libs are now guaranteed to
work flawlessly! I'm using the fortran and readline libs for a few
days myself now, that's the only test they have gone through.

The three packages of the libraries (named lib*) contain the source to
the libraries (ready to be compiled), the shared libraries (*.so.* and
*.sa) and normal static libraries (*.a). Installation notes are also
included.

To save you some trouble, I have compiled a number of programs to use
the libraries. Here is a summary of the packages:

libgr-1.0.tar.z:            The graphics jumplibrary package.
  xv-2.21-bin.tar.z:        xv-2.21 binaries patched to use jpeg-V4
  jpeg-V4-bin.tar.z:        cjpeg and djpeg programs
  tifftool-3.2b-bin.tar.z:  tools from the tiff-package
  urt-3.1b-bin.tar.z:       the Utah raster toolkit binaries
  fbm-1.0-bin.tar.z:        the FBM package binaries
  pbm-Dec91-bin.tar.z:      the PBMplus package binaries
  ray-4.06-bin.tar.z:       the rayshade and raypaint binaries

librl-1.0.tar.z:            The readline jumplibrary package
  gdb-4.8.z:                gzipped gdb-4.8 binary
  bash-1.12.z               gzipped bash-1.12 binary

libf2c-0.5.tar.z            The f2c jumplibrary package
  (no examples)

Note that all packages have been compressed with gnu-zip to save
space. Get gnu zip as prep.ai.mit.edu:/pub/gnu/gzip*.

Mail me for any (re)quest(ion)s.

Rob Hooft ([email-masked]) February 22, 1993.

-- 
Rob W.W. Hooft,  Department of crystal and structural chemistry
Bijvoet Center for Biomolecular Research, University of Utrecht
The Netherlands ===== [email-masked] ([email-masked])
====Use a Real Operating System on your 386: Linux is FREE!====